#### D.4.12.3 monic

Procedure from library `integralbasis.lib` (see integralbasis_lib).

Usage:
  monic(f); f polynomial in two variables whose leadi.

Return:
  a multiple of f monic as polynomial in the second variables, polynomial of degree d in the second variable of the ring with an ordinary multiple point at the origin of order k.

Assume:
  f is a bivariate polynomial whose leading coefficients as polynomial in the second variable is a unit.

Example:

    LIB "integralbasis.lib";
    ring R = 0, (x,y), dp;
    poly f = -3y3 + 3x2y + y2 + 1;
    monic(f);
    ==> -x2y+y3-1/3y2-1/3

User manual for Singular version 4.4.1, 2025, generated by texi2html.